{
  "main": {
    "id": "669114c9aeb479f1",
    "type": "split",
    "children": [
      {
        "id": "0396922c68d14225",
        "type": "tabs",
        "children": [
          {
            "id": "bda58467a9a0a34e",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "ownership.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "ownership"
            }
          },
          {
            "id": "b80f5219fa24358f",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Collection of Common Data Structs.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "Collection of Common Data Structs"
            }
          },
          {
            "id": "3a5f95a8df68eb56",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Error Handling.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "Error Handling"
            }
          },
          {
            "id": "b6a35c226bb40634",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "data_types.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "data_types"
            }
          }
        ],
        "currentTab": 2
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "4a2ac149e0acbcf8",
    "type": "split",
    "children": [
      {
        "id": "10608f12da25d504",
        "type": "tabs",
        "children": [
          {
            "id": "2762bac0796f3b15",
            "type": "leaf",
            "state": {
              "type": "file-explorer",
              "state": {
                "sortOrder": "alphabetical"
              },
              "icon": "lucide-folder-closed",
              "title": "Files"
            }
          },
          {
            "id": "e01f0973d4ae17ac",
            "type": "leaf",
            "state": {
              "type": "search",
              "state": {
                "query": "",
                "matchingCase": false,
                "explainSearch": false,
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical"
              },
              "icon": "lucide-search",
              "title": "Search"
            }
          },
          {
            "id": "a5a36aa2f6495eb4",
            "type": "leaf",
            "state": {
              "type": "bookmarks",
              "state": {},
              "icon": "lucide-bookmark",
              "title": "Bookmarks"
            }
          }
        ]
      }
    ],
    "direction": "horizontal",
    "width": 241.5
  },
  "right": {
    "id": "b825b33a537311a6",
    "type": "split",
    "children": [
      {
        "id": "6b5c338364576725",
        "type": "tabs",
        "children": [
          {
            "id": "64f5647672cce551",
            "type": "leaf",
            "state": {
              "type": "backlink",
              "state": {
                "file": "Constants.md",
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical",
                "showSearch": false,
                "searchQuery": "",
                "backlinkCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-coming-in",
              "title": "Backlinks for Constants"
            }
          },
          {
            "id": "ae0f9a12d31c4020",
            "type": "leaf",
            "state": {
              "type": "outgoing-link",
              "state": {
                "file": "Constants.md",
                "linksCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-going-out",
              "title": "Outgoing links from Constants"
            }
          },
          {
            "id": "5ce87307dea085ad",
            "type": "leaf",
            "state": {
              "type": "tag",
              "state": {
                "sortOrder": "frequency",
                "useHierarchy": true
              },
              "icon": "lucide-tags",
              "title": "Tags"
            }
          },
          {
            "id": "2673cce22cbc6751",
            "type": "leaf",
            "state": {
              "type": "outline",
              "state": {
                "file": "Constants.md"
              },
              "icon": "lucide-list",
              "title": "Outline of Constants"
            }
          }
        ],
        "currentTab": 3
      }
    ],
    "direction": "horizontal",
    "width": 300,
    "collapsed": true
  },
  "left-ribbon": {
    "hiddenItems": {
      "switcher:Open quick switcher": false,
      "graph:Open graph view": false,
      "canvas:Create new canvas": false,
      "daily-notes:Open today's daily note": false,
      "templates:Insert template": false,
      "command-palette:Open command palette": false
    }
  },
  "active": "3a5f95a8df68eb56",
  "lastOpenFiles": [
    "Collection of Common Data Structs.md",
    "Error Handling.md",
    "Hash.md",
    "String.md",
    "README.md",
    "Vector.md",
    "data_types.md",
    "Modules and Use.md",
    "ownership.md",
    "Project Organization.md",
    "Packages.md",
    "Crates.md",
    "crates.io.md",
    "Paths.md",
    "does_not_compile.svg",
    "Structures.md",
    "Primitives.md",
    "Untitled.canvas",
    "Enums.md",
    "Packages and Crates.md",
    "Good and Bad Code/Commenting Pratices",
    "Good and Bad Code",
    "Data Types.md",
    "Variables.md",
    "Constants.md"
  ]
}